<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Framework: framework::core::AhrsData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classframework_1_1core_1_1_ahrs_data.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Namespaces</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(9)"><span class="SelectionMark">&#160;</span>Properties</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classframework_1_1core_1_1_ahrs_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">framework::core::AhrsData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining AHRS datas.  
 <a href="classframework_1_1core_1_1_ahrs_data.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_ahrs_data_8h_source.html">AhrsData.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for framework::core::AhrsData:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classframework_1_1core_1_1_ahrs_data.png" usemap="#framework::core::AhrsData_map" alt=""/>
  <map id="framework::core::AhrsData_map" name="framework::core::AhrsData_map">
<area href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. " alt="framework::core::io_data" shape="rect" coords="0,112,162,136"/>
<area href="classframework_1_1core_1_1_mutex.html" title="Class defining a mutex. " alt="framework::core::Mutex" shape="rect" coords="0,56,162,80"/>
<area href="classframework_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="framework::core::Object" shape="rect" coords="0,0,162,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data_1_1_type.html">Type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a9730129235a6b9aa030647d7ec0aa14b"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14b">PlotableData_t</a> { <br />
&#160;&#160;<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14bac73bab58b7b9b7d8f5a38ee69185df06">Roll</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba8ceebad98e6c32b48191c1b91911ac69">Pitch</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba8ffe883c697f37e8f1a9fd98b908b218">Yaw</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba45b4279c6bca4308c6773b9df96fc315">RollDeg</a>, 
<br />
&#160;&#160;<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba59bebd35dc270fa9209c23c7411027ed">PitchDeg</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba66d7ed7097ba801a3274d53f7816b7ba">YawDeg</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14baefc1ef210ae6c23d1653608c8af379cf">Q0</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba5b17bb92bef6b3b72f9646244c393ded">Q1</a>, 
<br />
&#160;&#160;<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba50135c88fabe7aa72dbbd7d0f32a9e0d">Q2</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba28c8b81ce4a52a092dc2c9b2ac44bb8a">Q3</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba4b35fa6b3cdf75c452864de2729ee897">Wx</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14baa3f182d46801dfe271aef0ef11f8c557">Wy</a>, 
<br />
&#160;&#160;<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14baa70cc5fd4261e643994c7e3f2d9da19d">Wz</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba32aa3381d0e9a980b4b314337dcf506d">WxDeg</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14bae300333ef9ddbc283fc2ec20e22ec124">WyDeg</a>, 
<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14ba046e735068a68eced22640a5c2e14ef3">WzDeg</a>
<br />
 }</td></tr>
<tr class="memdesc:a9730129235a6b9aa030647d7ec0aa14b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Datas wich can be plotted in a DataPlot1D.  <a href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14b">More...</a><br /></td></tr>
<tr class="separator:a9730129235a6b9aa030647d7ec0aa14b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7201b52b50f64586d1ea82cc1f6a2e6f"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> =0, 
<b>Red</b> =31, 
<b>Green</b> =32, 
<b>Orange</b> =33
 }</td></tr>
<tr class="separator:a7201b52b50f64586d1ea82cc1f6a2e6f inherit pub_types_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a97252d537eb6e8c04e86445dd58cd045"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a97252d537eb6e8c04e86445dd58cd045">AhrsData</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;, int n=1)</td></tr>
<tr class="memdesc:a97252d537eb6e8c04e86445dd58cd045"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97252d537eb6e8c04e86445dd58cd045">More...</a><br /></td></tr>
<tr class="separator:a97252d537eb6e8c04e86445dd58cd045"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d4f6da5be75f1bf1983f1d4ec44bc55"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a3d4f6da5be75f1bf1983f1d4ec44bc55">~AhrsData</a> ()</td></tr>
<tr class="memdesc:a3d4f6da5be75f1bf1983f1d4ec44bc55"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3d4f6da5be75f1bf1983f1d4ec44bc55">More...</a><br /></td></tr>
<tr class="separator:a3d4f6da5be75f1bf1983f1d4ec44bc55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5118c4a6eb12e298e2844884e18b2117"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a5118c4a6eb12e298e2844884e18b2117">Element</a> (<a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14b">PlotableData_t</a> plotableData) const </td></tr>
<tr class="memdesc:a5118c4a6eb12e298e2844884e18b2117"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element.  <a href="#a5118c4a6eb12e298e2844884e18b2117">More...</a><br /></td></tr>
<tr class="separator:a5118c4a6eb12e298e2844884e18b2117"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a795b2e75a29c88989906573ff376f682"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a795b2e75a29c88989906573ff376f682">SetQuaternion</a> (const <a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion)</td></tr>
<tr class="memdesc:a795b2e75a29c88989906573ff376f682"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set quaternion.  <a href="#a795b2e75a29c88989906573ff376f682">More...</a><br /></td></tr>
<tr class="separator:a795b2e75a29c88989906573ff376f682"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a01a88b745d1cb6e844033157a6de7252"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a01a88b745d1cb6e844033157a6de7252">GetQuaternion</a> (void) const </td></tr>
<tr class="memdesc:a01a88b745d1cb6e844033157a6de7252"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get quaternion.  <a href="#a01a88b745d1cb6e844033157a6de7252">More...</a><br /></td></tr>
<tr class="separator:a01a88b745d1cb6e844033157a6de7252"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98afe5226b33e47b5613aa0173c587da"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a98afe5226b33e47b5613aa0173c587da">SetAngularRates</a> (const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;angularRates)</td></tr>
<tr class="memdesc:a98afe5226b33e47b5613aa0173c587da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set angular rates.  <a href="#a98afe5226b33e47b5613aa0173c587da">More...</a><br /></td></tr>
<tr class="separator:a98afe5226b33e47b5613aa0173c587da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23d98d2f9204e96706b4df4d21e1108e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a23d98d2f9204e96706b4df4d21e1108e">GetAngularRates</a> (void) const </td></tr>
<tr class="memdesc:a23d98d2f9204e96706b4df4d21e1108e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get angular rates.  <a href="#a23d98d2f9204e96706b4df4d21e1108e">More...</a><br /></td></tr>
<tr class="separator:a23d98d2f9204e96706b4df4d21e1108e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c6f8419b5f6fc086e31132fecd0f66e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a7c6f8419b5f6fc086e31132fecd0f66e">GetQuaternionAndAngularRates</a> (<a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion, <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;angularRates) const </td></tr>
<tr class="memdesc:a7c6f8419b5f6fc086e31132fecd0f66e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get both quaternion and angular rates.  <a href="#a7c6f8419b5f6fc086e31132fecd0f66e">More...</a><br /></td></tr>
<tr class="separator:a7c6f8419b5f6fc086e31132fecd0f66e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace7b631abb013e118a117698c216684c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#ace7b631abb013e118a117698c216684c">SetQuaternionAndAngularRates</a> (const <a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;quaternion, const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;angularRates)</td></tr>
<tr class="memdesc:ace7b631abb013e118a117698c216684c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set both quaternion and angular rates.  <a href="#ace7b631abb013e118a117698c216684c">More...</a><br /></td></tr>
<tr class="separator:ace7b631abb013e118a117698c216684c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa20a8b209768dcaa2bdaa68d97759334"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa20a8b209768dcaa2bdaa68d97759334"></a>
const <a class="el" href="classframework_1_1core_1_1_ahrs_data_1_1_type.html">Type</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetDataType</b> () const </td></tr>
<tr class="separator:aa20a8b209768dcaa2bdaa68d97759334"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a500e7488e41a484be23b29e13645cf8b">io_data</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a500e7488e41a484be23b29e13645cf8b">More...</a><br /></td></tr>
<tr class="separator:a500e7488e41a484be23b29e13645cf8b inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#aa08b00b8f76a7bb14d7498e8e34649a2">~io_data</a> ()</td></tr>
<tr class="memdesc:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa08b00b8f76a7bb14d7498e8e34649a2">More...</a><br /></td></tr>
<tr class="separator:aa08b00b8f76a7bb14d7498e8e34649a2 inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#af4eca364240e1b754fa989bda9717d5a">SetDataTime</a> (<a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a> time)</td></tr>
<tr class="memdesc:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time.  <a href="#af4eca364240e1b754fa989bda9717d5a">More...</a><br /></td></tr>
<tr class="separator:af4eca364240e1b754fa989bda9717d5a inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceframework_1_1core.html#a556a09521d9b94e1c9f0bfe6744d611d">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a5f765c0a062a096fc4a4e0b8ef924cae">DataTime</a> (void) const </td></tr>
<tr class="memdesc:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a5f765c0a062a096fc4a4e0b8ef924cae">More...</a><br /></td></tr>
<tr class="separator:a5f765c0a062a096fc4a4e0b8ef924cae inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a9549e4e07891d29b00710b75d92bef0e">Prev</a> (int n) const </td></tr>
<tr class="memdesc:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#a9549e4e07891d29b00710b75d92bef0e">More...</a><br /></td></tr>
<tr class="separator:a9549e4e07891d29b00710b75d92bef0e inherit pub_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_mutex.html">framework::core::Mutex</a></td></tr>
<tr class="memitem:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#aa003ee75f09b85ecb182a135a42a739e">Mutex</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aa003ee75f09b85ecb182a135a42a739e">More...</a><br /></td></tr>
<tr class="separator:aa003ee75f09b85ecb182a135a42a739e inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a3a67ec45af9ba25a8a885d8473c9ae65">~Mutex</a> ()</td></tr>
<tr class="memdesc:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a3a67ec45af9ba25a8a885d8473c9ae65">More...</a><br /></td></tr>
<tr class="separator:a3a67ec45af9ba25a8a885d8473c9ae65 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a4eb4450c5af21f4ba6c16b2a58e7d0e4">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#a4eb4450c5af21f4ba6c16b2a58e7d0e4">More...</a><br /></td></tr>
<tr class="separator:a4eb4450c5af21f4ba6c16b2a58e7d0e4 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_mutex.html#a747027e52ff793c20016eb82b3a242e2">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#a747027e52ff793c20016eb82b3a242e2">More...</a><br /></td></tr>
<tr class="separator:a747027e52ff793c20016eb82b3a242e2 inherit pub_methods_classframework_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classframework_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classframework_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classframework_1_1core_1_1_object.html">framework::core::Object</a></td></tr>
<tr class="memitem:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a97617b01df8aedc07b2ba46ef4988994">Object</a> (const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a97617b01df8aedc07b2ba46ef4988994">More...</a><br /></td></tr>
<tr class="separator:a97617b01df8aedc07b2ba46ef4988994 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ac934815b59eb1cf1a47bdb114fa86da0">~Object</a> ()</td></tr>
<tr class="memdesc:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac934815b59eb1cf1a47bdb114fa86da0">More...</a><br /></td></tr>
<tr class="separator:ac934815b59eb1cf1a47bdb114fa86da0 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#ae19cf04d95b4cabb8c6064375b15337f">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#ae19cf04d95b4cabb8c6064375b15337f">More...</a><br /></td></tr>
<tr class="separator:ae19cf04d95b4cabb8c6064375b15337f inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a49660b572cdbedc6a665d5d396ed00a1">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a49660b572cdbedc6a665d5d396ed00a1">More...</a><br /></td></tr>
<tr class="separator:a49660b572cdbedc6a665d5d396ed00a1 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a8dda2eca639eb56bb2c3f26de04f2678">Parent</a> (void) const </td></tr>
<tr class="memdesc:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a8dda2eca639eb56bb2c3f26de04f2678">More...</a><br /></td></tr>
<tr class="separator:a8dda2eca639eb56bb2c3f26de04f2678 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a7fb6234586cd406b3bea93aadf01ba16">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a7fb6234586cd406b3bea93aadf01ba16">More...</a><br /></td></tr>
<tr class="separator:a7fb6234586cd406b3bea93aadf01ba16 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aee8de0c31d51e165fed466a4c8bcf6c4">Childs</a> (void) const </td></tr>
<tr class="memdesc:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#aee8de0c31d51e165fed466a4c8bcf6c4">More...</a><br /></td></tr>
<tr class="separator:aee8de0c31d51e165fed466a4c8bcf6c4 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#aec1974099e78e731ba9c3dd1ed05de94">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#aec1974099e78e731ba9c3dd1ed05de94">More...</a><br /></td></tr>
<tr class="separator:aec1974099e78e731ba9c3dd1ed05de94 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#abb73af04b52a2ba67a2d2ce1a74330a2">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#abb73af04b52a2ba67a2d2ce1a74330a2">More...</a><br /></td></tr>
<tr class="separator:abb73af04b52a2ba67a2d2ce1a74330a2 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a6f48a765168b2fe4a629234e0b778559">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a6f48a765168b2fe4a629234e0b778559">More...</a><br /></td></tr>
<tr class="separator:a6f48a765168b2fe4a629234e0b778559 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1_object.html#a56a6221f2ce124d7c53b15a423a47b08">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a56a6221f2ce124d7c53b15a423a47b08">More...</a><br /></td></tr>
<tr class="separator:a56a6221f2ce124d7c53b15a423a47b08 inherit pub_methods_classframework_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#aecf70fbea0ef977062dd7146b9006490">AppendLogDescription</a> (std::string description, <a class="el" href="classframework_1_1core_1_1_data_type.html">DataType</a> const &amp;datatype)</td></tr>
<tr class="memdesc:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#aecf70fbea0ef977062dd7146b9006490">More...</a><br /></td></tr>
<tr class="separator:aecf70fbea0ef977062dd7146b9006490 inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a65e6d218e3699bfbb7c8c958d85156bf">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#a65e6d218e3699bfbb7c8c958d85156bf">More...</a><br /></td></tr>
<tr class="separator:a65e6d218e3699bfbb7c8c958d85156bf inherit pro_methods_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classframework_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classframework_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classframework_1_1core_1_1io__data.html">framework::core::io_data</a></td></tr>
<tr class="memitem:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classframework_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classframework_1_1core_1_1io__data.html#a12e0da00d9b0af3e7009f7c840d91272">prev</a></td></tr>
<tr class="memdesc:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a12e0da00d9b0af3e7009f7c840d91272">More...</a><br /></td></tr>
<tr class="separator:a12e0da00d9b0af3e7009f7c840d91272 inherit pro_attribs_classframework_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining AHRS datas. </p>
<p>AHRS datas consist of quaternion and rotational angles values. <br />
</p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14b">framework::core::AhrsData::PlotableData_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Datas wich can be plotted in a DataPlot1D. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14bac73bab58b7b9b7d8f5a38ee69185df06"></a>Roll&#160;</td><td class="fielddoc">
<p>roll </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba8ceebad98e6c32b48191c1b91911ac69"></a>Pitch&#160;</td><td class="fielddoc">
<p>pitch </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba8ffe883c697f37e8f1a9fd98b908b218"></a>Yaw&#160;</td><td class="fielddoc">
<p>yaw </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba45b4279c6bca4308c6773b9df96fc315"></a>RollDeg&#160;</td><td class="fielddoc">
<p>roll degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba59bebd35dc270fa9209c23c7411027ed"></a>PitchDeg&#160;</td><td class="fielddoc">
<p>pitch degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba66d7ed7097ba801a3274d53f7816b7ba"></a>YawDeg&#160;</td><td class="fielddoc">
<p>yaw degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14baefc1ef210ae6c23d1653608c8af379cf"></a>Q0&#160;</td><td class="fielddoc">
<p>quaternion 0 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba5b17bb92bef6b3b72f9646244c393ded"></a>Q1&#160;</td><td class="fielddoc">
<p>quaternion 1 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba50135c88fabe7aa72dbbd7d0f32a9e0d"></a>Q2&#160;</td><td class="fielddoc">
<p>quaternion 2 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba28c8b81ce4a52a092dc2c9b2ac44bb8a"></a>Q3&#160;</td><td class="fielddoc">
<p>quaternion 3 </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba4b35fa6b3cdf75c452864de2729ee897"></a>Wx&#160;</td><td class="fielddoc">
<p>x filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14baa3f182d46801dfe271aef0ef11f8c557"></a>Wy&#160;</td><td class="fielddoc">
<p>y filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14baa70cc5fd4261e643994c7e3f2d9da19d"></a>Wz&#160;</td><td class="fielddoc">
<p>z filtered angular rate </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba32aa3381d0e9a980b4b314337dcf506d"></a>WxDeg&#160;</td><td class="fielddoc">
<p>x filtered angular rate degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14bae300333ef9ddbc283fc2ec20e22ec124"></a>WyDeg&#160;</td><td class="fielddoc">
<p>y filtered angular rate degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="a9730129235a6b9aa030647d7ec0aa14ba046e735068a68eced22640a5c2e14ef3"></a>WzDeg&#160;</td><td class="fielddoc">
<p>z filtered angular rate degree </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a97252d537eb6e8c04e86445dd58cd045"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::AhrsData::AhrsData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an <a class="el" href="classframework_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> representing AHRS datas. <br />
 </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">n</td><td>number of samples </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a3d4f6da5be75f1bf1983f1d4ec44bc55"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">framework::core::AhrsData::~AhrsData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a5118c4a6eb12e298e2844884e18b2117"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_i_o_data_element.html">IODataElement</a>* framework::core::AhrsData::Element </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html#a9730129235a6b9aa030647d7ec0aa14b">PlotableData_t</a>&#160;</td>
          <td class="paramname"><em>plotableData</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element. </p>
<p>Get a pointer to a specific element. This pointer can be used for plotting.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">plotableData</td><td>data type</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="a795b2e75a29c88989906573ff376f682"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::AhrsData::SetQuaternion </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>quaternion</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set quaternion. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quaternion</td><td>quaternion </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a01a88b745d1cb6e844033157a6de7252"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> framework::core::AhrsData::GetQuaternion </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get quaternion. </p>
<p>This method is mutex protected.</p>
<dl class="section return"><dt>Returns</dt><dd>quaternion </dd></dl>

</div>
</div>
<a class="anchor" id="a98afe5226b33e47b5613aa0173c587da"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::AhrsData::SetAngularRates </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>angularRates</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set angular rates. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">angularRates</td><td>angular rates </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a23d98d2f9204e96706b4df4d21e1108e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> framework::core::AhrsData::GetAngularRates </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get angular rates. </p>
<p>This method is mutex protected.</p>
<dl class="section return"><dt>Returns</dt><dd>angular rates </dd></dl>

</div>
</div>
<a class="anchor" id="a7c6f8419b5f6fc086e31132fecd0f66e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::AhrsData::GetQuaternionAndAngularRates </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>quaternion</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>angularRates</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get both quaternion and angular rates. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quaternion</td><td>quaternion </td></tr>
    <tr><td class="paramname">angularRates</td><td>angular rates </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ace7b631abb013e118a117698c216684c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void framework::core::AhrsData::SetQuaternionAndAngularRates </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_quaternion.html">Quaternion</a> &amp;&#160;</td>
          <td class="paramname"><em>quaternion</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classframework_1_1core_1_1_vector3_d.html">Vector3D</a> &amp;&#160;</td>
          <td class="paramname"><em>angularRates</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set both quaternion and angular rates. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">quaternion</td><td>quaternion </td></tr>
    <tr><td class="paramname">angularRates</td><td>angular rates </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceframework.html">framework</a></li><li class="navelem"><a class="el" href="namespaceframework_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classframework_1_1core_1_1_ahrs_data.html">AhrsData</a></li>
    <li class="footer">Generated on Tue Apr 12 2016 16:28:59 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.7 </li>
  </ul>
</div>
</body>
</html>
